# Google Analytics Extension

An extension for phpBB 3.1 that allows administrators to easily add their Google Analytics tracking code to their phpBB forum.

[![Build Status](https://travis-ci.org/phpbb-extensions/googleanalytics.svg)](https://travis-ci.org/phpbb-extensions/googleanalytics)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/phpbb-extensions/googleanalytics/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/phpbb-extensions/googleanalytics/?branch=master)

## Install

1. [Download the latest validated release](https://www.phpbb.com/customise/db/extension/googleanalytics/).
2. Unzip the downloaded release and copy it to the `ext` directory of your phpBB board.
3. Navigate in the ACP to `Customise -> Manage extensions`.
4. Look for `Google Analytics` under the Disabled Extensions list, and click its `Enable` link.
5. Set up and configure Google Analytics by navigating in the ACP to `General` -> `Board Configuration` -> `Board Settings`.

## Uninstall

1. Navigate in the ACP to `Customise -> Extension Management -> Extensions`.
2. Look for `Google Analytics` under the Enabled Extensions list, and click its `Disable` link.
3. To permanently uninstall, click `Delete Data` and then delete the `/ext/phpbb/googleanalytics` directory.

## Support

* **Important: Only official release versions validated by the phpBB Extensions Team should be installed on a live forum. Pre-release (beta, RC) versions downloaded from this repository are only to be used for testing on offline/development forums and are not officially supported.**
* Report bugs and other issues to our [Issue Tracker](https://github.com/phpbb-extensions/googleanalytics/issues).
* Support requests should be posted and discussed in the [Google Analytics topic at phpBB.com](https://www.phpbb.com/customise/db/extension/googleanalytics/support).

## Translations

* Translations should be posted to the [Google Analytics topic at phpBB.com](https://www.phpbb.com/customise/db/extension/googleanalytics/support/topic/130756). We accept pull requests for translation corrections, but we do not accept pull requests for new translations.

## License
[GNU General Public License v2](http://opensource.org/licenses/GPL-2.0)
